Organizations
Get the current organization
Returns the organization for the current billing account. Use this endpoint to get the current organization through the Samva email API.
Returns the organization for the current billing account.
Authorization
apiKey x-api-key<token>
In: header
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/v1/organizations/current"{ "id": "string", "billingAccountId": "string", "name": "string", "slug": "string", "defaultCurrency": "string", "countryCode": "string", "timezone": "string", "billingEmail": "string", "plan": "string", "isActive": true, "createdAt": "string", "updatedAt": "string", "metadata": {}, "design": { "theme": { "colors": { "property1": "string", "property2": "string" }, "colorsDark": { "property1": "string", "property2": "string" }, "radiusPx": { "property1": 0, "property2": 0 }, "fontFamilies": { "property1": { "source": "system", "family": "string", "fallback": "string", "faces": [ { "weight": 100, "style": "normal", "src": "string", "unicodeRange": "string" } ] }, "property2": { "source": "system", "family": "string", "fallback": "string", "faces": [ { "weight": 100, "style": "normal", "src": "string", "unicodeRange": "string" } ] } }, "fontWeights": { "property1": 100, "property2": 100 }, "text": { "property1": { "sizePx": 1, "lineHeightPx": 1 }, "property2": { "sizePx": 1, "lineHeightPx": 1 } }, "leading": { "property1": 0, "property2": 0 }, "spacingPx": 1, "containerPx": { "property1": 1, "property2": 1 }, "tracking": { "property1": 0, "property2": 0 } }, "assets": { "logoUrl": "string", "logoDarkUrl": "string", "iconUrl": "string" }, "footer": { "companyName": "string", "address": { "street1": "string", "street2": "string", "city": "string", "region": "string", "postalCode": "string", "country": "string" }, "socialLinks": [ { "label": "string", "url": "string" } ], "customHtml": "string" } }, "replyToDefault": [ "string" ], "defaultUnsubscribeGroupId": "string", "emailFooterEnabledDefault": true, "messagesUsed": 0, "messagesUsedThisMonth": 0, "emailUsed": 0, "emailUsedThisMonth": 0, "contactsUsed": 0, "conversationsUsed": 0, "teamMembersUsed": 0, "messagesResetAt": "string"}